Subject: Citizens Griffith deal - July
From: houston <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 10 Aug 2001 11:16:13 -0700 (PDT)

Ann & Darla,

I am attaching a spreadsheet that details what should be booked and billed to Citizens under the NEW gas daily call option/transport deal to serve the Griffith plant.  It is somewhat complicated but don't be scared - I will help both of you understand what needs to be done.  Hopefully, we can set up a procedure whereby this deal can be taken care of each month.

I think we should set up a meeting to discuss.  Let me know when you guys are available - hopefully sometime monday.

Thanks,

Kim